Copying records with IRRE: subrecords only copied in Live Workspace

Description

When a record with IRRE subrecords (in my case 1:n) is copied in a workspace, copies of the IRRE records are only created in the

live workspace.

The created record in the workspace does not have any inline records attached.

An even bigger problem is publishing the record after adding new IRRE records: Since the existing records are not flagged as

"deleted", the live record now has the "old" copied records AND the newly created ones merged together.

You can test this behaviour in 4.7 e.g. with the "irre_tutorial" extension:

Copy "Wellness Well-Being Hotel Rosengarten” on the "1:n foreign_field" page in a workspace, add a new "offer" and publish it.

The biggest problem comes up with the new content elements in 6.0 that use the inline relations to sys_file (tested with Introduction

package of alpha3):

While the backend preview of the "Text with Image" shows the images of a copied content element (this is probably an additional bug

with the generated preview showing the LIVE content), the content element itself has no images attached and after publishing the

same merging of live and workspace inline records happens.

4.5 also seems to have the same bug

Related issues:

related to Grid Elements - Bug # 46747: Translating Childelements in Grid-Con... Rejected 2013-03-28
related to Grid Elements - Bug # 46749: Drag'n'drop child elements inside Gii... Rejected 2013-03-28
duplicates Core - Task # 29278: Lost relations on copying IRRE children in wo... Rejected 2011-08-26
History

#1 - 2013-02-06 18:42 - Oliver Hader

- Category set to Bugs

- Status changed from New to Closed

- Assigned To set to Oliver Hader

Please use issue #29278 which provides a bug-fix as well (currently for 4.7 and 4.5 only that will be forward ported soon).

#2 - 2013-12-10 00:57 - Michael Stucki

- Category changed from Bugs to Workspaces

#3 - 2013-12-10 01:02 - Michael Stucki
- Project changed from Workspaces & Versioning to Core
- Category changed from Workspaces to Workspaces
